# Replicating the Results in "Which Models have Perceptually-Aligned Gradients? An Explanation via Off-Manifold Robustness"

In order to replicate the results in the paper

- Train the differnt regularized models. run_experiments.py has simple routines that take care of this.
- experiments/measure_manifold_robustness.py and experiments/measure_score_alignment.py generate the data that underlies Figure 2 in the main paper. notebooks/Figure2.ipynb generates the specific plots.
- train_robust_imagenet.py trains robust models on imagenet-64x64. Then notebooks/Imagenet.ipynb and notebooks/Imagenet-64x64.ipynb generate Figure 3 in the main paper.
- MNISTDistractor.ipynb and MNISTDistractorPGDTraining.ipynb contain our experiments on MNIST with a distractor and generate Figure 4 in the main paper.
- CIFAR10-EstimateTangentSpace.ipynb uses an autoencoder to estimate the tangent space of CIFAR-10.

Python Environment

- see environment.yml
